Bug 864650 - new lsyncd version available
new lsyncd version available
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: lsyncd (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Troy C
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 16:53 EDT by Troy C
Modified: 2013-10-08 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Important: if this rebase instead contains *only bug fixes,* or *only enhancements*, select the correct option from the Doc Type drop-down list. Rebase package(s) to version: 2.0.7 Highlights, important fixes, or notable enhancements: - inotify support - code cleanups - bug fixes
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 20:51:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file for lsyncd-2.0.7 (2.32 KB, text/x-rpm-spec)
2012-10-09 17:03 EDT, Troy C
no flags Details
sysvinit script for lsyncd (1.78 KB, application/octet-stream)
2012-10-09 17:04 EDT, Troy C
no flags Details
/etc/sysconfig/lsyncd for lsyncd-2.0.7 (89 bytes, text/plain)
2012-10-09 17:04 EDT, Troy C
no flags Details
systemd service unit for lsyncd-2.0.7 (239 bytes, application/octet-stream)
2012-10-09 17:06 EDT, Troy C
no flags Details
Enhanced spec with conditionals on systemd vs sysvinit (3.20 KB, text/x-rpm-spec)
2012-10-11 02:29 EDT, Troy C
no flags Details
Updated sysvinit that checks for config file (1.82 KB, text/plain)
2012-10-11 02:30 EDT, Troy C
no flags Details
Updated service unit, removes erroneous ExecReload (287 bytes, text/plain)
2012-10-11 02:31 EDT, Troy C
no flags Details
Updated spec to 2.1.2 (3.26 KB, text/x-rpm-spec)
2012-11-21 19:33 EST, Troy C
no flags Details
Logrotate file for lsyncd.log (187 bytes, application/octet-stream)
2012-11-21 19:34 EST, Troy C
no flags Details
Updated spec to 2.1.3 (3.26 KB, text/x-rpm-spec)
2012-11-23 12:08 EST, Troy C
no flags Details
Updated spec to 2.1.3 (3.26 KB, text/x-rpm-spec)
2012-11-23 12:31 EST, Troy C
no flags Details
Updated spec to 2.1.4 (3.26 KB, text/x-rpm-spec)
2012-11-29 13:48 EST, Troy C
no flags Details

  None (edit)
Description Troy C 2012-10-09 16:53:15 EDT
Description of problem:

lsyncd version 2.0.7 is available, which offers feature enhancements and bug fixes from 2.0.4, including inotify support.

How reproducible:


Steps to Reproduce:
1. Install lsyncd
2. Notice version
  
Actual results:
lsyncd is installed, without inotify support

Expected results:
lsyncd is installed with inotify support

Additional info:
Updated .spec and SOURCE files attached.
Comment 1 Troy C 2012-10-09 17:03:46 EDT
Created attachment 624260 [details]
spec file for lsyncd-2.0.7
Comment 2 Troy C 2012-10-09 17:04:27 EDT
Created attachment 624261 [details]
sysvinit script for lsyncd
Comment 3 Troy C 2012-10-09 17:04:57 EDT
Created attachment 624263 [details]
/etc/sysconfig/lsyncd for lsyncd-2.0.7
Comment 4 Troy C 2012-10-09 17:06:47 EDT
Created attachment 624264 [details]
systemd service unit for lsyncd-2.0.7

First try at writing service units, as I would like to ultimately see lsyncd-2.0.7 on CentOS 5/6 .
Comment 5 Troy C 2012-10-09 17:08:37 EDT
One concern is that by default, the configuration file /etc/lsyncd.conf does not exist, and the service fails to start. However, since this package is intended to be manually configured in some way to accomplish its goal, I think this is okay.
Comment 6 Troy C 2012-10-09 17:12:04 EDT
I'm unable to change "See Also", so see also https://bugzilla.redhat.com/show_bug.cgi?id=805849
Comment 7 Troy C 2012-10-11 02:29:16 EDT
Created attachment 625341 [details]
Enhanced spec with conditionals on systemd vs sysvinit
Comment 8 Troy C 2012-10-11 02:30:48 EDT
Created attachment 625342 [details]
Updated sysvinit that checks for config file
Comment 9 Troy C 2012-10-11 02:31:43 EDT
Created attachment 625343 [details]
Updated service unit, removes erroneous ExecReload
Comment 10 Troy C 2012-10-29 13:38:32 EDT
lsyncd 2.1.1 is now available. I'm willing to take over maintainership of this package, by the way.
Comment 11 katastrophal 2012-11-21 19:19:47 EST
lsyncd 2.1.2 is out. If someone could update this, I would be pretty happy.
Comment 12 Troy C 2012-11-21 19:33:26 EST
Created attachment 649455 [details]
Updated spec to 2.1.2

Adapted spec from updated version at https://github.com/repoforge/rpms/pull/213
Comment 13 Troy C 2012-11-21 19:34:40 EST
Created attachment 649456 [details]
Logrotate file for lsyncd.log
Comment 14 katastrophal 2012-11-23 10:45:02 EST
2.1.3 is available, but a new version should be released this weekend see https://github.com/axkibe/lsyncd/issues/170#issuecomment-10662741
Don't know, but maybe just skip this one.

btw: why is the systemd unit file for F19+ only?
Comment 15 Troy C 2012-11-23 12:08:37 EST
Created attachment 650554 [details]
Updated spec to 2.1.3

Updated version to 2.1.3, and changed systemd >= Fedora 15.
Comment 16 Troy C 2012-11-23 12:31:05 EST
Created attachment 650584 [details]
Updated spec to 2.1.3

Fix comment
Comment 17 Troy C 2012-11-29 13:48:42 EST
Created attachment 654490 [details]
Updated spec to 2.1.4
Comment 18 Paul Wouters 2012-11-29 15:55:48 EST
I requested co-maintainer ship
Comment 19 Paul Wouters 2012-12-13 16:38:03 EST
Nirik asked me to raise cvs on this so someone with time can give me co-maintainership while Lubomir Rintel's pacakges are in limbo


See also: http://lists.fedoraproject.org/pipermail/devel/2012-October/172007.html
Comment 20 Gwyn Ciesla 2012-12-14 08:52:58 EST
Done.
Comment 21 Fedora End Of Life 2013-04-03 11:56:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.